Loading...
Searching...
No Matches
pcl::tracking::DistanceCoherence< PointInT > Class Template Reference

DistanceCoherence computes coherence between two points from the distance between them. More...

`#include <pcl/tracking/distance_coherence.h>`

Inheritance diagram for pcl::tracking::DistanceCoherence< PointInT >:

## Public Types

using | Ptr = shared_ptr< DistanceCoherence< PointInT > >
using | ConstPtr = shared_ptr< const DistanceCoherence< PointInT > >
Public Types inherited from pcl::tracking::PointCoherence< PointInT >
using | Ptr = shared_ptr< PointCoherence< PointInT > >
using | ConstPtr = shared_ptr< const PointCoherence< PointInT > >

## Public Member Functions

| DistanceCoherence ()
| initialize the weight to 1.0.
void | setWeight (double weight)
| set the weight of coherence.
double | getWeight ()
| get the weight of coherence.
Public Member Functions inherited from pcl::tracking::PointCoherence< PointInT >
| PointCoherence ()=default
| empty constructor
virtual | ~PointCoherence ()=default
| empty destructor
double | compute (PointInT &source, PointInT &target)
| compute coherence from the source point to the target point.

## Protected Member Functions

double | computeCoherence (PointInT &source, PointInT &target) override
| return the distance coherence between the two points.
Protected Member Functions inherited from pcl::tracking::PointCoherence< PointInT >
const std::string & | getClassName () const
| Get a string representation of the name of this class.

## Protected Attributes

double | weight_ {1.0}
| the weight of coherence.
Protected Attributes inherited from pcl::tracking::PointCoherence< PointInT >
std::string | coherence_name_
| The coherence name.

## Detailed Description

template<typename PointInT>
class pcl::tracking::DistanceCoherence< PointInT >

DistanceCoherence computes coherence between two points from the distance between them.

the coherence is calculated by 1 / (1 + weight * d^2 ).

Author
  Ryohei Ueda

Definition at line 14 of file distance_coherence.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointInT >

using pcl::tracking::DistanceCoherence< PointInT >::ConstPtr = shared_ptr<const DistanceCoherence<PointInT> >

Definition at line 17 of file distance_coherence.h.

## Ptr

template<typename PointInT >

using pcl::tracking::DistanceCoherence< PointInT >::Ptr = shared_ptr<DistanceCoherence<PointInT> >

Definition at line 16 of file distance_coherence.h.

## Constructor & Destructor Documentation

## DistanceCoherence()

template<typename PointInT >

pcl::tracking::DistanceCoherence< PointInT >::DistanceCoherence | ( |  | ) |

inline

initialize the weight to 1.0.

Definition at line 20 of file distance_coherence.h.

## Member Function Documentation

## computeCoherence()

template<typename PointInT >

double pcl::tracking::DistanceCoherence< PointInT >::computeCoherence | ( | PointInT & | source,
|  | PointInT & | target
| ) |  |

override protected virtual

return the distance coherence between the two points.

Parameters

  source | instance of source point.
  target | instance of target point.

Implements pcl::tracking::PointCoherence< PointInT >.

Definition at line 10 of file distance_coherence.hpp.

## getWeight()

template<typename PointInT >

double pcl::tracking::DistanceCoherence< PointInT >::getWeight | ( |  | ) |

inline

get the weight of coherence.

Definition at line 33 of file distance_coherence.h.

References pcl::tracking::DistanceCoherence< PointInT >::weight_.

## setWeight()

template<typename PointInT >

void pcl::tracking::DistanceCoherence< PointInT >::setWeight | ( | double | weight | ) |

inline

set the weight of coherence.

Parameters

  weight | the value of the wehgit.

Definition at line 26 of file distance_coherence.h.

References pcl::tracking::DistanceCoherence< PointInT >::weight_.

## Member Data Documentation

## weight_

template<typename PointInT >

double pcl::tracking::DistanceCoherence< PointInT >::weight_ {1.0}

protected

the weight of coherence.

Definition at line 47 of file distance_coherence.h.

Referenced by pcl::tracking::DistanceCoherence< PointInT >::getWeight(), and pcl::tracking::DistanceCoherence< PointInT >::setWeight().

The documentation for this class was generated from the following files:

- pcl/tracking/distance_coherence.h
- pcl/tracking/impl/distance_coherence.hpp